using System.Text.Json.Serialization;
using MessagePack;
using SVSim.EmulatedEntrypoint.Models.Dtos.Requests;

namespace SVSim.EmulatedEntrypoint.Models.Dtos.Requests.Pack;

[MessagePackObject]
public class ExchangeGachaPointRequest : BaseRequest
{
    [JsonPropertyName("card_id")]
    [Key("card_id")]
    public long CardId { get; set; }

    [JsonPropertyName("parent_gacha_id")]
    [Key("parent_gacha_id")]
    public int ParentGachaId { get; set; }

    [JsonPropertyName("odds_gacha_id")]
    [Key("odds_gacha_id")]
    public int OddsGachaId { get; set; }
}
